Subject: bug#32770: Packaging SLIME/SWANK as Common Lisp library

From: Andy Patterson <[email-masked]>
Date: Wed, 3 Oct 2018 01:22:24 -0400

Hi Pierre,

On Tue, 02 Oct 2018 12:24:29 +0200
Pierre Neidhardt <[email-masked]> wrote:

> > It'd be nice to have an importer.  Maybe we can use Nix's work to
> > reduce the amount of investigation needed to get there.  
> 
> Absolutely.  ASDF is good enough that the vast majority of CL
> libraries can be packaged without an itch.
> 
> If we could use Quicklisp or
> 
>   http://quickdocs.org/
> 	
> to write a recursive importer, we could get programs like Next
> browser packaged in one go but for a couple of tweaks for the 2-3 odd
> packages.
> 
> Let me know if you want to work on this, otherwise I'll give it a
> shot.
> 

I'd like to be involved as I have some ideas on things we could do
differently from Nix that I'd begun investigating.  I'll elaborate more
once I get the chance to organize my thoughts.

Thanks,

--
Andy